=== debian/changelog ===
allure (0.5.0.0-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Fri, 16 Jun 2017 15:45:26 -0400
