=== debian/control ===
Source: allure
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.8),
 cdbs,
 ghc,
 ghc-prof,
 libghc-lambdahack-dev (>= 0.5.0.0),
 libghc-lambdahack-dev (<< 0.5.1.0),
 libghc-enummapset-th-dev (>= 0.6.0.0),
 libghc-enummapset-th-dev (<< 1),
 libghc-text-dev (>= 0.11.2.3),
 libghc-text-dev (<< 2),
 libghc-lambdahack-dev,
Standards-Version: 3.9.8
Homepage: http://allureofthestars.com

Package: allure
Architecture: any
Section: games
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: near-future Sci-Fi roguelike and tactical squad game
 Allure of the Stars is a near-future Sci-Fi roguelike and tactical
 squad game.
