=== debian/changelog ===
allure (0.8.3.0-2) unstable; urgency=medium

  * Install fonts, etc.

 -- Mikolaj Konarski <mikolaj.konarski@funktory.com>  Tue, 03 Jul 2018 12:03:57 +0200

allure (0.8.3.0-1) unstable; urgency=medium

  * New upstream release
  * Turn off optimization for architectures that take forever compiling

 -- Mikolaj Konarski <mikolaj.konarski@funktory.com>  Mon, 02 Jul 2018 17:09:51 +0200

allure (0.7.1.0-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Mikolaj Konarski ]
  * Update copyright information
  * Update package description
  * Remove duplicate build-depends line
  * Add Vcs-Browser and Vcs-Git fields

 -- Clint Adams <clint@debian.org>  Sun, 06 May 2018 22:09:09 -0400

allure (0.7.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 21:50:04 -0400

allure (0.5.0.0-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:39 -0400
