=== debian/control ===
Source: allure
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>, Mikolaj Konarski <mikolaj.konarski@funktory.com>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.8),
 cdbs,
 ghc,
 ghc-prof,
 libghc-lambdahack-dev (>= 0.8.3.0),
 libghc-lambdahack-dev (<< 0.8.4.0),
 libghc-async-dev (>= 2),
 libghc-enummapset-dev (>= 0.5.2.2),
 libghc-optparse-applicative-dev (>= 0.13),
 libghc-random-dev (>= 1.1),
 libghc-text-dev (>= 0.11.2.3),
 libghc-zlib-dev (>= 0.5.3.1),
Standards-Version: 4.1.4
Homepage: http://allureofthestars.com
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/allure
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/allure]

Package: allure
Architecture: any
Section: games
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: near-future Sci-Fi roguelike and tactical squad game
 Allure of the Stars is a near-future Sci-Fi roguelike and tactical
 squad game.
 .
 Not a single picture in this game. You have to imagine everything
 yourself, like with a book (a grown-up book, without pictures).
 Once you learn to imagine things, though, you can keep exploring
 and mastering the world and making up stories for a long time.
 .
 The game is written in Haskell using the free software LambdaHack engine.
 Please see the changelog file for recent improvements
 and the issue tracker for short-term plans. Long term goals
 are high replayability and auto-balancing through procedural
 content generation and persistent content modification
 based on player behaviour. Contributions are welcome.
