=== debian/changelog ===
allure (0.9.5.0-2build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 07:01:37 +0200

allure (0.9.5.0-2) unstable; urgency=medium

  * Include InGameHelp.txt instead of the mixed up MoveKeys.txt
  * Fix some lintian warnings
  * Fix lintian error 'build-depends-indep-without-arch-indep'

 -- Mikolaj Konarski <mikolaj.konarski@funktory.com>  Sun, 23 Aug 2020 09:48:56 +0200

allure (0.9.5.0-1) unstable; urgency=medium

  [ Mikolaj Konarski ]
  * Fix lintian and appstream warnings about allure.desktop
  * Update allure.install and copyright for the new upstream release

  [ Clint Adams ]
  * Patch testsuite to use fonts in the source directory instead of
    their installed locations.

  [ Sean Whitton ]
  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 26 May 2020 09:21:48 -0700

allure (0.8.3.0-3) unstable; urgency=medium

  [ Mikolaj Konarski ]
  * Attempt to force 'cabal test' to run
  * Add an icon and .desktop file

  [ Ilias Tsitsimpis ]
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:24 +0300
