=== debian/control ===
--- 
+++ 
@@ -7,17 +7,22 @@
 Build-Depends: debhelper (>= 10),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.8),
  cdbs,
- ghc,
+ ghc (>= 8.4.3),
  ghc-prof,
- libghc-lambdahack-dev (>= 0.8.3.0),
- libghc-lambdahack-dev (<< 0.8.4.0),
- libghc-async-dev (>= 2),
- libghc-enummapset-dev (>= 0.5.2.2),
- libghc-optparse-applicative-dev (>= 0.13),
- libghc-random-dev (>= 1.1),
- libghc-text-dev (>= 0.11.2.3),
- libghc-zlib-dev (>= 0.5.3.1),
-Standards-Version: 4.1.4
+ libghc-lambdahack-dev (>= 0.9.5.0),
+ libghc-lambdahack-dev (<< 0.9.6.0),
+ libghc-lambdahack-prof,
+ libghc-async-dev,
+ libghc-async-prof,
+ libghc-enummapset-dev,
+ libghc-enummapset-prof,
+ libghc-optparse-applicative-dev,
+ libghc-optparse-applicative-prof,
+ libghc-primitive-dev,
+ libghc-primitive-prof,
+ libghc-random-dev,
+ libghc-random-prof,
+Standards-Version: 4.5.0
 Homepage: http://allureofthestars.com
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/allure
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/allure]
