=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,5 @@
 include /usr/share/cdbs/1/class/hlibrary.mk
 
 build/allure:: build-ghc-stamp
+
+common-binary-arch:: check-ghc-stamp
